## com.lowagie.tools.arguments
Class PageSizeArgument

    java.lang.Object
      com.lowagie.tools.arguments.ToolArgument
          com.lowagie.tools.arguments.OptionArgument
              com.lowagie.tools.arguments.PageSizeArgument

All Implemented Interfaces:
  java.awt.event.ActionListener, java.beans.PropertyChangeListener, java.util.EventListener

    public class PageSizeArgument

extends OptionArgument

Argument that can be one of several options.

Nested Class Summary

Nested classes/interfaces inherited from class com.lowagie.tools.arguments.OptionArgument
`OptionArgument.Entry`

Field Summary
`private java.util.TreeMap` `options`

Fields inherited from class com.lowagie.tools.arguments.ToolArgument
`classname, description, name, propertyChangeListeners, tool, value`

Constructor Summary
`PageSizeArgument(AbstractTool tool, java.lang.String name, java.lang.String description)` Constructs an OptionArgument.

Method Summary
`void` `actionPerformed(java.awt.event.ActionEvent evt)`
`void` `addOption(java.lang.Object description, java.lang.Object value)` Adds an Option.
`java.lang.Object` `getArgument()` Gets the argument as an object.
`java.util.TreeMap` `getOptions()` Gets the options.
`java.lang.String` `getUsage()` Give you a String that can be used in a usage description.

Methods inherited from class com.lowagie.tools.arguments.ToolArgument
`addPropertyChangeListener, firePropertyChange, getClassname, getDescription, getName, getValue, propertyChange, removePropertyChangeListener, setClassname, setDescription, setName, setValue, setValue`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### options

    private java.util.TreeMap options

Constructor Detail

### PageSizeArgument

    public PageSizeArgument(AbstractTool tool,
                            java.lang.String name,
                            java.lang.String description)

  Constructs an OptionArgument.

  Parameters:
    `tool` - the tool that needs this argument
    `name` - the name of the argument
    `description` - the description of the argument

Method Detail

### addOption

    public void addOption(java.lang.Object description,
                          java.lang.Object value)

  Adds an Option.

  Overrides:
    `addOption` in class `OptionArgument`
  Parameters:
    `description` - the description of the option
    `value` - the value of the option

### getOptions

    public java.util.TreeMap getOptions()

  Gets the options.

  Returns:
    Returns the options.

### getArgument

    public java.lang.Object getArgument()
                                 throws java.lang.InstantiationException

  Gets the argument as an object.

  Overrides:
    `getArgument` in class `OptionArgument`
  Returns:
    an object
  Throws:
    `java.lang.InstantiationException`

### getUsage

    public java.lang.String getUsage()

  Description copied from class: `ToolArgument`
  Give you a String that can be used in a usage description.

  Overrides:
    `getUsage` in class `OptionArgument`
  Returns:
    a String
  See Also:
    `ToolArgument.getUsage()`

### actionPerformed

    public void actionPerformed(java.awt.event.ActionEvent evt)

  Specified by:
    `actionPerformed` in interface `java.awt.event.ActionListener`
  Overrides:
    `actionPerformed` in class `OptionArgument`
  See Also:
    `ActionListener.actionPerformed(java.awt.event.ActionEvent)`